/**
 * @typedef {object} Documentation
 * @property {string} moduleName
 * @property {Record<string, string>} Documentation.typedocs
 * @property {string[]} Documentation.exported
 * @property {string} [Documentation.outputDir]
 *
 * @typedef {import('../utils.js').Project} Project
 * @typedef {import('typedoc/dist/lib/models/reflections').DeclarationReflection} DeclarationReflection
 */
/**
 * A plugin that creates a `typedoc-urls.json` file in the `dist` folder of the
 * current project that contains URLs that map exported symbol names to published
 * typedoc pages.
 *
 * See `unknown-symbol-resolver-plugin.js` for how it is consumed.
 *
 * @param {import("typedoc/dist/lib/application").Application} Application
 */
export function load(Application: import("typedoc/dist/lib/application").Application): void;
export type Documentation = {
    moduleName: string;
    typedocs: Record<string, string>;
    exported: string[];
    outputDir?: string | undefined;
};
export type Project = import('../utils.js').Project;
export type DeclarationReflection = import('typedoc/dist/lib/models/reflections').DeclarationReflection;
export type ProjectContext = {
    outputDir?: string | undefined;
    manifestPath: string;
};
//# sourceMappingURL=type-indexer-plugin.d.ts.map